PlanBuilderIdentifier
Date: 2013-06-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.vremanagement.resourcebroker.utils.serialization.types
Class PlanBuilderIdentifier

    java.lang.Object
      org.gcube.vremanagement.resourcebroker.utils.serialization.types.PlanBuilderIdentifier

    public class PlanBuilderIdentifier

extends java.lang.Object

A structure used to uniquely identify a workflow session. It is used to retrieve the list of reserved GHN descriptors inside the same workflow session.

This identifier will be later on used as an unique key inside the response to keep track of the workflow that has generated it.

Author:
  Daniele Strollo (ISTI-CNR)

Constructor Summary
`PlanBuilderIdentifier()` Builds a new identifier for the workflow session and assigns to it a fresh random string.
`PlanBuilderIdentifier(java.lang.String id)` Deprecated. use `PlanBuilderIdentifier()` instead.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getID()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlanBuilderIdentifier

    public PlanBuilderIdentifier()

  Builds a new identifier for the workflow session and assigns to it a fresh random string.

### PlanBuilderIdentifier

    public PlanBuilderIdentifier(java.lang.String id)

  Deprecated. use `PlanBuilderIdentifier()` instead.

  This constructor is used if the unique identifier of the workflow session is already known. Typically this happens only once a feedback is received and from the previous `PlanResponse` the requester has retrieved the id. For this reason it is avoided any external usage.

  Parameters:
    `id` - the identifier to use.

Method Detail

### getID

    public final java.lang.String getID()

  Returns:
    the string representation of a workflow identifier.

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public final boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD